View Issue Details

IDProjectCategoryLast Update
0025593AI War 2Bug - GameplayOct 1, 2021 2:00 pm
Reporterwhimsee Assigned Tox4000Bughunter  
Severitymajor 
Status resolvedResolutionfixed 
Product VersionBeta 3.703 Smooth Sim 
Fixed in VersionBeta 3.704 Unexpected Turbo Sim Speed 
Summary0025593: Pathfinder bug (Dyson Sphere)
DescriptionI think this is part of a larger bug since it also happens (inconsistently) with me trying to move ships between planets and it not working (or probably just moving in general because there were tons of the same error). But it's very consistent with other factions that do it without prompting.

Only factions here are (1) dyson sphere and (5) nomad planets. Incidentally, it's a dyson nomad since I was testing that for something else. The errors started about 1 min and kept going.

I made sure I wasn't moving to watch the dyson sphere planet as the errors kept coming.
TagsNo tags attached.

Activities

whimsee

Sep 30, 2021 2:43 pm

reporter  

debug.txt (237,850 bytes)   
9/30/2021 11:14:44 AM	3.703	SINGLEP	Hello Steam user 'Whimsee'
9/30/2021 11:14:53 AM	3.703	SINGLEP	Start load save: E:/SteamLibrary/steamapps/common/AI War 2/PlayerData/Save/_Internal/LastLobbySettings.save Source1: StartingTheLobbyFromPrior Source3: LoadingLastLobbySettings
9/30/2021 11:14:53 AM	3.703	SINGLEP	null possible names
9/30/2021 11:14:53 AM	3.703	SINGLEP	loading as template
9/30/2021 11:14:53 AM	3.703	SINGLEP	Fix Missing Faction: Added the faction AIReserves because every game should have exactly one of these.
9/30/2021 11:14:53 AM	3.703	SINGLEP	Fix Missing Faction: Added the faction AntiAIZombie because every game should have exactly one of these.
9/30/2021 11:14:53 AM	3.703	SINGLEP	Fix Missing Faction: Added the faction AntiEveryoneZombie because every game should have exactly one of these.
9/30/2021 11:14:53 AM	3.703	SINGLEP	Fix Missing Faction: Added the faction AntiPlayerZombie because every game should have exactly one of these.
9/30/2021 11:14:53 AM	3.703	SINGLEP	Fix Missing Faction: Added the faction Instigators because every game should have exactly one of these.
9/30/2021 11:14:53 AM	3.703	SINGLEP	Fix Missing Faction: Added the faction NaturalObject because every game should have exactly one of these.
9/30/2021 11:14:53 AM	3.703	SINGLEP	Fix Missing Faction: Added the faction Outguard because every game should have exactly one of these.
9/30/2021 11:14:53 AM	3.703	SINGLEP	Finish load save in 264.9ms
9/30/2021 11:14:53 AM	3.703	SINGLEP	Start Generate Partial Map with Realistic and seed 1479446955 and planet count 80 and 13 factions (StartingTheLobbyFromPrior LoadingLastLobbySettings)
9/30/2021 11:14:53 AM	3.703	SINGLEP	PlayerAccount whimsee has now been put in control of faction 1 - Human Remnant.
9/30/2021 11:14:53 AM	3.703	SINGLEP	Generate Partial Map Complete  197ms Seed: 1479446955
9/30/2021 11:14:57 AM	3.703	SINGLEP	Start Generate Partial Map with Realistic and seed 1479446955 and planet count 80 and 25 factions (RegenerateLobbyFromPlayerInput NotLoadingAnything)
9/30/2021 11:14:57 AM	3.703	SINGLEP	PlayerAccount whimsee is controlling faction 1 - Human Remnant already.
9/30/2021 11:14:57 AM	3.703	SINGLEP	Generate Partial Map Complete  80ms Seed: 1479446955
9/30/2021 11:14:59 AM	3.703	SINGLEP	Start Generate Partial Map with Realistic and seed 1479446955 and planet count 80 and 24 factions (RegenerateLobbyFromPlayerInput NotLoadingAnything)
9/30/2021 11:14:59 AM	3.703	SINGLEP	PlayerAccount whimsee is controlling faction 1 - Human Remnant already.
9/30/2021 11:14:59 AM	3.703	SINGLEP	Generate Partial Map Complete  70ms Seed: 1479446955
9/30/2021 11:15:11 AM	3.703	SINGLEP	Start Generate Partial Map with Realistic and seed 1479446955 and planet count 80 and 25 factions (RegenerateLobbyFromPlayerInput NotLoadingAnything)
9/30/2021 11:15:11 AM	3.703	SINGLEP	PlayerAccount whimsee is controlling faction 1 - Human Remnant already.
9/30/2021 11:15:11 AM	3.703	SINGLEP	Generate Partial Map Complete  66ms Seed: 1479446955
9/30/2021 11:15:18 AM	3.703	SINGLEP	Start Generate FULL Map with Realistic and seed 1479446955 and planet count 80 and 25 factions (StartingMainGameAfterLobby NotLoadingAnything)
9/30/2021 11:15:19 AM	3.703	SINGLEP	Calculated Initial Strengths For New Full Galaxy Map in 6ms
9/30/2021 11:15:19 AM	3.703	SINGLEP	OnLoad Fix: AI overlord of type 'AI Overlord (t7000)' was transformed into the newer 'AI Overlord (t80)' for faction: AI Sentinels
9/30/2021 11:15:19 AM	3.703	SINGLEP	OnLoad Fix: AI overlord of type 'AI Overlord (t7000)' was transformed into the newer 'AI Overlord (t80)' for faction: AI Sentinels
9/30/2021 11:15:19 AM	3.703	SINGLEP	Generate FULL Map Complete  583ms Seed: 1479446955
9/30/2021 11:15:53 AM	3.703	SINGLEP	No resolution change was required.
9/30/2021 11:15:53 AM	3.703	SINGLEP	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
9/30/2021 11:15:53 AM	3.703	SINGLEP	Applied Framerate Type: Unlocked (vsync: 0 targetFPS:0)
9/30/2021 11:16:08 AM	3.703	SINGLEP	No resolution change was required.
9/30/2021 11:16:08 AM	3.703	SINGLEP	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
9/30/2021 11:16:08 AM	3.703	SINGLEP	Applied Framerate Type: Unlocked (vsync: 0 targetFPS:0)
9/30/2021 11:18:55 AM	3.703	SINGLEP	Start load save: E:/SteamLibrary/steamapps/common/AI War 2/PlayerData/Save/_Internal/LastLobbySettings.save Source1: StartingTheLobbyFromPrior Source3: LoadingLastLobbySettings
9/30/2021 11:18:55 AM	3.703	SINGLEP	loading as template
9/30/2021 11:18:55 AM	3.703	SINGLEP	Fix Missing Faction: Added the faction AIReserves because every game should have exactly one of these.
9/30/2021 11:18:55 AM	3.703	SINGLEP	Fix Missing Faction: Added the faction AntiAIZombie because every game should have exactly one of these.
9/30/2021 11:18:55 AM	3.703	SINGLEP	Fix Missing Faction: Added the faction AntiEveryoneZombie because every game should have exactly one of these.
9/30/2021 11:18:55 AM	3.703	SINGLEP	Fix Missing Faction: Added the faction AntiPlayerZombie because every game should have exactly one of these.
9/30/2021 11:18:55 AM	3.703	SINGLEP	Fix Missing Faction: Added the faction Instigators because every game should have exactly one of these.
9/30/2021 11:18:55 AM	3.703	SINGLEP	Fix Missing Faction: Added the faction NaturalObject because every game should have exactly one of these.
9/30/2021 11:18:55 AM	3.703	SINGLEP	Fix Missing Faction: Added the faction Outguard because every game should have exactly one of these.
9/30/2021 11:18:56 AM	3.703	SINGLEP	Finish load save in 405.1ms
9/30/2021 11:18:56 AM	3.703	SINGLEP	Start Generate Partial Map with Realistic and seed 1570121692 and planet count 80 and 12 factions (StartingTheLobbyFromPrior LoadingLastLobbySettings)
9/30/2021 11:18:56 AM	3.703	SINGLEP	PlayerAccount whimsee has now been put in control of faction 1 - Human Remnant.
9/30/2021 11:18:56 AM	3.703	SINGLEP	Generate Partial Map Complete  76ms Seed: 1570121692
9/30/2021 11:19:02 AM	3.703	SINGLEP	Start Generate FULL Map with Realistic and seed 1570121692 and planet count 80 and 25 factions (StartingMainGameAfterLobby NotLoadingAnything)
9/30/2021 11:19:02 AM	3.703	SINGLEP	Calculated Initial Strengths For New Full Galaxy Map in 0ms
9/30/2021 11:19:02 AM	3.703	SINGLEP	OnLoad Fix: AI overlord of type 'AI Overlord (t7000)' was transformed into the newer 'AI Overlord (t80)' for faction: AI Sentinels
9/30/2021 11:19:02 AM	3.703	SINGLEP	OnLoad Fix: AI overlord of type 'AI Overlord (t7000)' was transformed into the newer 'AI Overlord (t80)' for faction: AI Sentinels
9/30/2021 11:19:02 AM	3.703	SINGLEP	Generate FULL Map Complete  322ms Seed: 1570121692
9/30/2021 11:20:06 AM	3.703	SINGLEP	DELAYED2: Called Zenith Dyson Sphere_facplan pathfinder from two different contexts!  First was executionContext, new one is LRP_ZenithDysonSphere_idx_4
  at System.Environment.get_StackTrace () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <2d4c603888a14cd8afdc94305e348a44>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPathInner (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPath (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.PathingHelper.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.Core.ExternalFactionBaseInfo.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.Core.Faction.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet origin, Arcen.AIW2.Core.Planet destination, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.FactionUtilityMethods.Helper_RaidSpecificPlanet (System.Collections.Generic.List`1[T] ships, Arcen.AIW2.Core.Planet originPlanet, Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Galaxy galaxy, Arcen.AIW2.Core.Planet threatplanet, System.Boolean IgnorePathCosts, Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContextBase Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.DysonSphereFactionDeepInfo.DoLongRangePlanning_OnBackgroundNonSimThread_Subclass (Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ExternalFactionDeepInfoRoot.DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.Core.Faction.Safe_DeepInfo_DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.SpecialFactionPlanning.Execute () [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ArcenHostOnlySimPlanningContext.InnerRun () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 

9/30/2021 11:20:08 AM	3.703	SINGLEP	DELAYED3: Called Zenith Dyson Sphere_facplan pathfinder from two different contexts!  First was executionContext, new one is LRP_ZenithDysonSphere_idx_4
  at System.Environment.get_StackTrace () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <2d4c603888a14cd8afdc94305e348a44>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPathInner (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPath (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.PathingHelper.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.Core.ExternalFactionBaseInfo.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.Core.Faction.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet origin, Arcen.AIW2.Core.Planet destination, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.FactionUtilityMethods.Helper_RaidSpecificPlanet (System.Collections.Generic.List`1[T] ships, Arcen.AIW2.Core.Planet originPlanet, Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Galaxy galaxy, Arcen.AIW2.Core.Planet threatplanet, System.Boolean IgnorePathCosts, Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContextBase Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.DysonSphereFactionDeepInfo.DoLongRangePlanning_OnBackgroundNonSimThread_Subclass (Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ExternalFactionDeepInfoRoot.DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.Core.Faction.Safe_DeepInfo_DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.SpecialFactionPlanning.Execute () [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ArcenHostOnlySimPlanningContext.InnerRun () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 

9/30/2021 11:20:09 AM	3.703	SINGLEP	DELAYED4: Called Zenith Dyson Sphere_facplan pathfinder from two different contexts!  First was executionContext, new one is LRP_ZenithDysonSphere_idx_4
  at System.Environment.get_StackTrace () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <2d4c603888a14cd8afdc94305e348a44>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPathInner (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPath (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.PathingHelper.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.Core.ExternalFactionBaseInfo.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.Core.Faction.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet origin, Arcen.AIW2.Core.Planet destination, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.FactionUtilityMethods.Helper_RaidSpecificPlanet (System.Collections.Generic.List`1[T] ships, Arcen.AIW2.Core.Planet originPlanet, Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Galaxy galaxy, Arcen.AIW2.Core.Planet threatplanet, System.Boolean IgnorePathCosts, Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContextBase Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.DysonSphereFactionDeepInfo.DoLongRangePlanning_OnBackgroundNonSimThread_Subclass (Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ExternalFactionDeepInfoRoot.DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.Core.Faction.Safe_DeepInfo_DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.SpecialFactionPlanning.Execute () [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ArcenHostOnlySimPlanningContext.InnerRun () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 

9/30/2021 11:20:10 AM	3.703	SINGLEP	DELAYED5: Called Zenith Dyson Sphere_facplan pathfinder from two different contexts!  First was executionContext, new one is LRP_ZenithDysonSphere_idx_4
  at System.Environment.get_StackTrace () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <2d4c603888a14cd8afdc94305e348a44>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPathInner (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPath (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.PathingHelper.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.Core.ExternalFactionBaseInfo.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.Core.Faction.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet origin, Arcen.AIW2.Core.Planet destination, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.FactionUtilityMethods.Helper_RaidSpecificPlanet (System.Collections.Generic.List`1[T] ships, Arcen.AIW2.Core.Planet originPlanet, Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Galaxy galaxy, Arcen.AIW2.Core.Planet threatplanet, System.Boolean IgnorePathCosts, Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContextBase Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.DysonSphereFactionDeepInfo.DoLongRangePlanning_OnBackgroundNonSimThread_Subclass (Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ExternalFactionDeepInfoRoot.DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.Core.Faction.Safe_DeepInfo_DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.SpecialFactionPlanning.Execute () [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ArcenHostOnlySimPlanningContext.InnerRun () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 

9/30/2021 11:20:11 AM	3.703	SINGLEP	DELAYED6: Called Zenith Dyson Sphere_facplan pathfinder from two different contexts!  First was executionContext, new one is LRP_ZenithDysonSphere_idx_4
  at System.Environment.get_StackTrace () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <2d4c603888a14cd8afdc94305e348a44>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPathInner (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPath (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.PathingHelper.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.Core.ExternalFactionBaseInfo.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.Core.Faction.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet origin, Arcen.AIW2.Core.Planet destination, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.FactionUtilityMethods.Helper_RaidSpecificPlanet (System.Collections.Generic.List`1[T] ships, Arcen.AIW2.Core.Planet originPlanet, Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Galaxy galaxy, Arcen.AIW2.Core.Planet threatplanet, System.Boolean IgnorePathCosts, Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContextBase Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.DysonSphereFactionDeepInfo.DoLongRangePlanning_OnBackgroundNonSimThread_Subclass (Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ExternalFactionDeepInfoRoot.DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.Core.Faction.Safe_DeepInfo_DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.SpecialFactionPlanning.Execute () [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ArcenHostOnlySimPlanningContext.InnerRun () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 

9/30/2021 11:24:34 AM	3.703	SINGLEP	DELAYED7: Called Zenith Dyson Sphere_facplan pathfinder from two different contexts!  First was executionContext, new one is LRP_ZenithDysonSphere_idx_4
  at System.Environment.get_StackTrace () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <2d4c603888a14cd8afdc94305e348a44>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPathInner (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPath (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.PathingHelper.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.Core.ExternalFactionBaseInfo.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.Core.Faction.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet origin, Arcen.AIW2.Core.Planet destination, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.FactionUtilityMethods.Helper_RaidSpecificPlanet (System.Collections.Generic.List`1[T] ships, Arcen.AIW2.Core.Planet originPlanet, Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Galaxy galaxy, Arcen.AIW2.Core.Planet threatplanet, System.Boolean IgnorePathCosts, Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContextBase Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.DysonSphereFactionDeepInfo.DoLongRangePlanning_OnBackgroundNonSimThread_Subclass (Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ExternalFactionDeepInfoRoot.DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.Core.Faction.Safe_DeepInfo_DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.SpecialFactionPlanning.Execute () [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ArcenHostOnlySimPlanningContext.InnerRun () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 

9/30/2021 11:24:36 AM	3.703	SINGLEP	DELAYED8: Called Zenith Dyson Sphere_facplan pathfinder from two different contexts!  First was executionContext, new one is LRP_ZenithDysonSphere_idx_4
  at System.Environment.get_StackTrace () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <2d4c603888a14cd8afdc94305e348a44>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPathInner (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPath (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.PathingHelper.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.Core.ExternalFactionBaseInfo.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.Core.Faction.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet origin, Arcen.AIW2.Core.Planet destination, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.FactionUtilityMethods.Helper_RaidSpecificPlanet (System.Collections.Generic.List`1[T] ships, Arcen.AIW2.Core.Planet originPlanet, Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Galaxy galaxy, Arcen.AIW2.Core.Planet threatplanet, System.Boolean IgnorePathCosts, Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContextBase Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.DysonSphereFactionDeepInfo.DoLongRangePlanning_OnBackgroundNonSimThread_Subclass (Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ExternalFactionDeepInfoRoot.DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.Core.Faction.Safe_DeepInfo_DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.SpecialFactionPlanning.Execute () [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ArcenHostOnlySimPlanningContext.InnerRun () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 

9/30/2021 11:24:37 AM	3.703	SINGLEP	DELAYED9: Called Zenith Dyson Sphere_facplan pathfinder from two different contexts!  First was executionContext, new one is LRP_ZenithDysonSphere_idx_4
  at System.Environment.get_StackTrace () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <2d4c603888a14cd8afdc94305e348a44>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPathInner (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPath (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.PathingHelper.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.Core.ExternalFactionBaseInfo.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.Core.Faction.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet origin, Arcen.AIW2.Core.Planet destination, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.FactionUtilityMethods.Helper_RaidSpecificPlanet (System.Collections.Generic.List`1[T] ships, Arcen.AIW2.Core.Planet originPlanet, Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Galaxy galaxy, Arcen.AIW2.Core.Planet threatplanet, System.Boolean IgnorePathCosts, Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContextBase Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.DysonSphereFactionDeepInfo.DoLongRangePlanning_OnBackgroundNonSimThread_Subclass (Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ExternalFactionDeepInfoRoot.DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.Core.Faction.Safe_DeepInfo_DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.SpecialFactionPlanning.Execute () [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ArcenHostOnlySimPlanningContext.InnerRun () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 

9/30/2021 11:27:08 AM	3.703	SINGLEP	DELAYED10: Called Zenith Dyson Sphere_facplan pathfinder from two different contexts!  First was executionContext, new one is LRP_ZenithDysonSphere_idx_4
  at System.Environment.get_StackTrace () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <2d4c603888a14cd8afdc94305e348a44>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPathInner (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPath (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.PathingHelper.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.Core.ExternalFactionBaseInfo.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.Core.Faction.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet origin, Arcen.AIW2.Core.Planet destination, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.FactionUtilityMethods.Helper_RaidSpecificPlanet (System.Collections.Generic.List`1[T] ships, Arcen.AIW2.Core.Planet originPlanet, Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Galaxy galaxy, Arcen.AIW2.Core.Planet threatplanet, System.Boolean IgnorePathCosts, Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContextBase Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.DysonSphereFactionDeepInfo.DoLongRangePlanning_OnBackgroundNonSimThread_Subclass (Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ExternalFactionDeepInfoRoot.DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.Core.Faction.Safe_DeepInfo_DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.SpecialFactionPlanning.Execute () [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ArcenHostOnlySimPlanningContext.InnerRun () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 

9/30/2021 11:27:10 AM	3.703	SINGLEP	DELAYED11: Called Zenith Dyson Sphere_facplan pathfinder from two different contexts!  First was executionContext, new one is LRP_ZenithDysonSphere_idx_4
  at System.Environment.get_StackTrace () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <2d4c603888a14cd8afdc94305e348a44>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPathInner (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPath (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.PathingHelper.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.Core.ExternalFactionBaseInfo.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.Core.Faction.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet origin, Arcen.AIW2.Core.Planet destination, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.FactionUtilityMethods.Helper_RaidSpecificPlanet (System.Collections.Generic.List`1[T] ships, Arcen.AIW2.Core.Planet originPlanet, Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Galaxy galaxy, Arcen.AIW2.Core.Planet threatplanet, System.Boolean IgnorePathCosts, Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContextBase Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.DysonSphereFactionDeepInfo.DoLongRangePlanning_OnBackgroundNonSimThread_Subclass (Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ExternalFactionDeepInfoRoot.DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.Core.Faction.Safe_DeepInfo_DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.SpecialFactionPlanning.Execute () [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ArcenHostOnlySimPlanningContext.InnerRun () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 

9/30/2021 11:27:11 AM	3.703	SINGLEP	DELAYED12: Called Zenith Dyson Sphere_facplan pathfinder from two different contexts!  First was executionContext, new one is LRP_ZenithDysonSphere_idx_4
  at System.Environment.get_StackTrace () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <2d4c603888a14cd8afdc94305e348a44>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPathInner (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPath (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.PathingHelper.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.Core.ExternalFactionBaseInfo.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.Core.Faction.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet origin, Arcen.AIW2.Core.Planet destination, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.FactionUtilityMethods.Helper_RaidSpecificPlanet (System.Collections.Generic.List`1[T] ships, Arcen.AIW2.Core.Planet originPlanet, Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Galaxy galaxy, Arcen.AIW2.Core.Planet threatplanet, System.Boolean IgnorePathCosts, Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContextBase Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.DysonSphereFactionDeepInfo.DoLongRangePlanning_OnBackgroundNonSimThread_Subclass (Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ExternalFactionDeepInfoRoot.DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.Core.Faction.Safe_DeepInfo_DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.SpecialFactionPlanning.Execute () [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ArcenHostOnlySimPlanningContext.InnerRun () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 

9/30/2021 11:29:04 AM	3.703	SINGLEP	DELAYED13: Called Zenith Dyson Sphere_facplan pathfinder from two different contexts!  First was executionContext, new one is LRP_ZenithDysonSphere_idx_4
  at System.Environment.get_StackTrace () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <2d4c603888a14cd8afdc94305e348a44>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPathInner (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPath (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.PathingHelper.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.Core.ExternalFactionBaseInfo.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.Core.Faction.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet origin, Arcen.AIW2.Core.Planet destination, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.FactionUtilityMethods.Helper_RaidSpecificPlanet (System.Collections.Generic.List`1[T] ships, Arcen.AIW2.Core.Planet originPlanet, Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Galaxy galaxy, Arcen.AIW2.Core.Planet threatplanet, System.Boolean IgnorePathCosts, Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContextBase Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.DysonSphereFactionDeepInfo.DoLongRangePlanning_OnBackgroundNonSimThread_Subclass (Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ExternalFactionDeepInfoRoot.DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.Core.Faction.Safe_DeepInfo_DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.SpecialFactionPlanning.Execute () [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ArcenHostOnlySimPlanningContext.InnerRun () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 

9/30/2021 11:29:05 AM	3.703	SINGLEP	DELAYED14: Called Zenith Dyson Sphere_facplan pathfinder from two different contexts!  First was executionContext, new one is LRP_ZenithDysonSphere_idx_4
  at System.Environment.get_StackTrace () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <2d4c603888a14cd8afdc94305e348a44>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPathInner (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPath (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.PathingHelper.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.Core.ExternalFactionBaseInfo.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.Core.Faction.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet origin, Arcen.AIW2.Core.Planet destination, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.FactionUtilityMethods.Helper_RaidSpecificPlanet (System.Collections.Generic.List`1[T] ships, Arcen.AIW2.Core.Planet originPlanet, Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Galaxy galaxy, Arcen.AIW2.Core.Planet threatplanet, System.Boolean IgnorePathCosts, Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContextBase Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.DysonSphereFactionDeepInfo.DoLongRangePlanning_OnBackgroundNonSimThread_Subclass (Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ExternalFactionDeepInfoRoot.DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.Core.Faction.Safe_DeepInfo_DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.SpecialFactionPlanning.Execute () [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ArcenHostOnlySimPlanningContext.InnerRun () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 

9/30/2021 11:29:07 AM	3.703	SINGLEP	DELAYED15: Called Zenith Dyson Sphere_facplan pathfinder from two different contexts!  First was executionContext, new one is LRP_ZenithDysonSphere_idx_4
  at System.Environment.get_StackTrace () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <2d4c603888a14cd8afdc94305e348a44>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPathInner (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPath (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.PathingHelper.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.Core.ExternalFactionBaseInfo.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.Core.Faction.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet origin, Arcen.AIW2.Core.Planet destination, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.FactionUtilityMethods.Helper_RaidSpecificPlanet (System.Collections.Generic.List`1[T] ships, Arcen.AIW2.Core.Planet originPlanet, Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Galaxy galaxy, Arcen.AIW2.Core.Planet threatplanet, System.Boolean IgnorePathCosts, Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContextBase Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.DysonSphereFactionDeepInfo.DoLongRangePlanning_OnBackgroundNonSimThread_Subclass (Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ExternalFactionDeepInfoRoot.DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.Core.Faction.Safe_DeepInfo_DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.SpecialFactionPlanning.Execute () [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ArcenHostOnlySimPlanningContext.InnerRun () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 

9/30/2021 11:29:08 AM	3.703	SINGLEP	DELAYED16: Called Zenith Dyson Sphere_facplan pathfinder from two different contexts!  First was executionContext, new one is LRP_ZenithDysonSphere_idx_4
  at System.Environment.get_StackTrace () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <2d4c603888a14cd8afdc94305e348a44>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPathInner (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPath (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.PathingHelper.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.Core.ExternalFactionBaseInfo.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.Core.Faction.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet origin, Arcen.AIW2.Core.Planet destination, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.FactionUtilityMethods.Helper_RaidSpecificPlanet (System.Collections.Generic.List`1[T] ships, Arcen.AIW2.Core.Planet originPlanet, Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Galaxy galaxy, Arcen.AIW2.Core.Planet threatplanet, System.Boolean IgnorePathCosts, Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContextBase Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.DysonSphereFactionDeepInfo.DoLongRangePlanning_OnBackgroundNonSimThread_Subclass (Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ExternalFactionDeepInfoRoot.DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.Core.Faction.Safe_DeepInfo_DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.SpecialFactionPlanning.Execute () [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ArcenHostOnlySimPlanningContext.InnerRun () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 

9/30/2021 11:29:20 AM	3.703	SINGLEP	DELAYED17: Called Zenith Dyson Sphere_facplan pathfinder from two different contexts!  First was executionContext, new one is LRP_ZenithDysonSphere_idx_4
  at System.Environment.get_StackTrace () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <2d4c603888a14cd8afdc94305e348a44>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPathInner (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPath (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.PathingHelper.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.Core.ExternalFactionBaseInfo.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.Core.Faction.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet origin, Arcen.AIW2.Core.Planet destination, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.FactionUtilityMethods.Helper_RaidSpecificPlanet (System.Collections.Generic.List`1[T] ships, Arcen.AIW2.Core.Planet originPlanet, Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Galaxy galaxy, Arcen.AIW2.Core.Planet threatplanet, System.Boolean IgnorePathCosts, Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContextBase Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.DysonSphereFactionDeepInfo.DoLongRangePlanning_OnBackgroundNonSimThread_Subclass (Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ExternalFactionDeepInfoRoot.DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.Core.Faction.Safe_DeepInfo_DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.SpecialFactionPlanning.Execute () [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ArcenHostOnlySimPlanningContext.InnerRun () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 

9/30/2021 11:29:22 AM	3.703	SINGLEP	DELAYED18: Called Zenith Dyson Sphere_facplan pathfinder from two different contexts!  First was executionContext, new one is LRP_ZenithDysonSphere_idx_4
  at System.Environment.get_StackTrace () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <2d4c603888a14cd8afdc94305e348a44>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPathInner (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPath (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.PathingHelper.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.Core.ExternalFactionBaseInfo.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.Core.Faction.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet origin, Arcen.AIW2.Core.Planet destination, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.FactionUtilityMethods.Helper_RaidSpecificPlanet (System.Collections.Generic.List`1[T] ships, Arcen.AIW2.Core.Planet originPlanet, Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Galaxy galaxy, Arcen.AIW2.Core.Planet threatplanet, System.Boolean IgnorePathCosts, Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContextBase Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.DysonSphereFactionDeepInfo.DoLongRangePlanning_OnBackgroundNonSimThread_Subclass (Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ExternalFactionDeepInfoRoot.DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.Core.Faction.Safe_DeepInfo_DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.SpecialFactionPlanning.Execute () [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ArcenHostOnlySimPlanningContext.InnerRun () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 

9/30/2021 11:29:27 AM	3.703	SINGLEP	DELAYED19: Called Zenith Dyson Sphere_facplan pathfinder from two different contexts!  First was executionContext, new one is LRP_ZenithDysonSphere_idx_4
  at System.Environment.get_StackTrace () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <2d4c603888a14cd8afdc94305e348a44>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPathInner (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPath (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.PathingHelper.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.Core.ExternalFactionBaseInfo.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.Core.Faction.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet origin, Arcen.AIW2.Core.Planet destination, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.FactionUtilityMethods.Helper_RaidSpecificPlanet (System.Collections.Generic.List`1[T] ships, Arcen.AIW2.Core.Planet originPlanet, Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Galaxy galaxy, Arcen.AIW2.Core.Planet threatplanet, System.Boolean IgnorePathCosts, Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContextBase Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.DysonSphereFactionDeepInfo.DoLongRangePlanning_OnBackgroundNonSimThread_Subclass (Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ExternalFactionDeepInfoRoot.DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.Core.Faction.Safe_DeepInfo_DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.SpecialFactionPlanning.Execute () [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ArcenHostOnlySimPlanningContext.InnerRun () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 

9/30/2021 11:29:29 AM	3.703	SINGLEP	DELAYED20: Called Zenith Dyson Sphere_facplan pathfinder from two different contexts!  First was executionContext, new one is LRP_ZenithDysonSphere_idx_4
  at System.Environment.get_StackTrace () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <2d4c603888a14cd8afdc94305e348a44>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPathInner (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPath (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.PathingHelper.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.Core.ExternalFactionBaseInfo.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.Core.Faction.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet origin, Arcen.AIW2.Core.Planet destination, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.FactionUtilityMethods.Helper_RaidSpecificPlanet (System.Collections.Generic.List`1[T] ships, Arcen.AIW2.Core.Planet originPlanet, Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Galaxy galaxy, Arcen.AIW2.Core.Planet threatplanet, System.Boolean IgnorePathCosts, Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContextBase Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.DysonSphereFactionDeepInfo.DoLongRangePlanning_OnBackgroundNonSimThread_Subclass (Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ExternalFactionDeepInfoRoot.DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.Core.Faction.Safe_DeepInfo_DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.SpecialFactionPlanning.Execute () [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ArcenHostOnlySimPlanningContext.InnerRun () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 

9/30/2021 11:29:30 AM	3.703	SINGLEP	DELAYED21: Called Zenith Dyson Sphere_facplan pathfinder from two different contexts!  First was executionContext, new one is LRP_ZenithDysonSphere_idx_4
  at System.Environment.get_StackTrace () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <2d4c603888a14cd8afdc94305e348a44>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPathInner (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPath (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.PathingHelper.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.Core.ExternalFactionBaseInfo.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.Core.Faction.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet origin, Arcen.AIW2.Core.Planet destination, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.FactionUtilityMethods.Helper_RaidSpecificPlanet (System.Collections.Generic.List`1[T] ships, Arcen.AIW2.Core.Planet originPlanet, Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Galaxy galaxy, Arcen.AIW2.Core.Planet threatplanet, System.Boolean IgnorePathCosts, Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContextBase Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.DysonSphereFactionDeepInfo.DoLongRangePlanning_OnBackgroundNonSimThread_Subclass (Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ExternalFactionDeepInfoRoot.DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.Core.Faction.Safe_DeepInfo_DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.SpecialFactionPlanning.Execute () [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ArcenHostOnlySimPlanningContext.InnerRun () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 

9/30/2021 11:30:08 AM	3.703	SINGLEP	DELAYED22: Called Zenith Dyson Sphere_facplan pathfinder from two different contexts!  First was executionContext, new one is LRP_ZenithDysonSphere_idx_4
  at System.Environment.get_StackTrace () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <2d4c603888a14cd8afdc94305e348a44>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPathInner (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPath (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.PathingHelper.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.Core.ExternalFactionBaseInfo.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.Core.Faction.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet origin, Arcen.AIW2.Core.Planet destination, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.FactionUtilityMethods.Helper_RaidSpecificPlanet (System.Collections.Generic.List`1[T] ships, Arcen.AIW2.Core.Planet originPlanet, Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Galaxy galaxy, Arcen.AIW2.Core.Planet threatplanet, System.Boolean IgnorePathCosts, Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContextBase Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.DysonSphereFactionDeepInfo.DoLongRangePlanning_OnBackgroundNonSimThread_Subclass (Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ExternalFactionDeepInfoRoot.DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.Core.Faction.Safe_DeepInfo_DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.SpecialFactionPlanning.Execute () [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ArcenHostOnlySimPlanningContext.InnerRun () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 

9/30/2021 11:30:10 AM	3.703	SINGLEP	DELAYED23: Called Zenith Dyson Sphere_facplan pathfinder from two different contexts!  First was executionContext, new one is LRP_ZenithDysonSphere_idx_4
  at System.Environment.get_StackTrace () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <2d4c603888a14cd8afdc94305e348a44>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPathInner (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPath (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.PathingHelper.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.Core.ExternalFactionBaseInfo.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.Core.Faction.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet origin, Arcen.AIW2.Core.Planet destination, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.FactionUtilityMethods.Helper_RaidSpecificPlanet (System.Collections.Generic.List`1[T] ships, Arcen.AIW2.Core.Planet originPlanet, Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Galaxy galaxy, Arcen.AIW2.Core.Planet threatplanet, System.Boolean IgnorePathCosts, Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContextBase Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.DysonSphereFactionDeepInfo.DoLongRangePlanning_OnBackgroundNonSimThread_Subclass (Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ExternalFactionDeepInfoRoot.DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.Core.Faction.Safe_DeepInfo_DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.SpecialFactionPlanning.Execute () [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ArcenHostOnlySimPlanningContext.InnerRun () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 

9/30/2021 11:30:12 AM	3.703	SINGLEP	DELAYED24: Called Zenith Dyson Sphere_facplan pathfinder from two different contexts!  First was executionContext, new one is LRP_ZenithDysonSphere_idx_4
  at System.Environment.get_StackTrace () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <2d4c603888a14cd8afdc94305e348a44>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPathInner (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPath (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.PathingHelper.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.Core.ExternalFactionBaseInfo.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.Core.Faction.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet origin, Arcen.AIW2.Core.Planet destination, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.FactionUtilityMethods.Helper_RaidSpecificPlanet (System.Collections.Generic.List`1[T] ships, Arcen.AIW2.Core.Planet originPlanet, Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Galaxy galaxy, Arcen.AIW2.Core.Planet threatplanet, System.Boolean IgnorePathCosts, Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContextBase Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.DysonSphereFactionDeepInfo.DoLongRangePlanning_OnBackgroundNonSimThread_Subclass (Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ExternalFactionDeepInfoRoot.DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.Core.Faction.Safe_DeepInfo_DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.SpecialFactionPlanning.Execute () [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ArcenHostOnlySimPlanningContext.InnerRun () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 

9/30/2021 11:30:13 AM	3.703	SINGLEP	DELAYED25: Called Zenith Dyson Sphere_facplan pathfinder from two different contexts!  First was executionContext, new one is LRP_ZenithDysonSphere_idx_4
  at System.Environment.get_StackTrace () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <2d4c603888a14cd8afdc94305e348a44>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPathInner (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPath (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.PathingHelper.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.Core.ExternalFactionBaseInfo.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.Core.Faction.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet origin, Arcen.AIW2.Core.Planet destination, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.FactionUtilityMethods.Helper_RaidSpecificPlanet (System.Collections.Generic.List`1[T] ships, Arcen.AIW2.Core.Planet originPlanet, Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Galaxy galaxy, Arcen.AIW2.Core.Planet threatplanet, System.Boolean IgnorePathCosts, Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContextBase Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.DysonSphereFactionDeepInfo.DoLongRangePlanning_OnBackgroundNonSimThread_Subclass (Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ExternalFactionDeepInfoRoot.DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.Core.Faction.Safe_DeepInfo_DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.SpecialFactionPlanning.Execute () [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ArcenHostOnlySimPlanningContext.InnerRun () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 

9/30/2021 11:30:15 AM	3.703	SINGLEP	DELAYED26: Called Zenith Dyson Sphere_facplan pathfinder from two different contexts!  First was executionContext, new one is LRP_ZenithDysonSphere_idx_4
  at System.Environment.get_StackTrace () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <2d4c603888a14cd8afdc94305e348a44>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPathInner (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPath (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.PathingHelper.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.Core.ExternalFactionBaseInfo.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.Core.Faction.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet origin, Arcen.AIW2.Core.Planet destination, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.FactionUtilityMethods.Helper_RaidSpecificPlanet (System.Collections.Generic.List`1[T] ships, Arcen.AIW2.Core.Planet originPlanet, Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Galaxy galaxy, Arcen.AIW2.Core.Planet threatplanet, System.Boolean IgnorePathCosts, Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContextBase Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.DysonSphereFactionDeepInfo.DoLongRangePlanning_OnBackgroundNonSimThread_Subclass (Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ExternalFactionDeepInfoRoot.DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.Core.Faction.Safe_DeepInfo_DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.SpecialFactionPlanning.Execute () [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ArcenHostOnlySimPlanningContext.InnerRun () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 

9/30/2021 11:30:16 AM	3.703	SINGLEP	DELAYED27: Called Zenith Dyson Sphere_facplan pathfinder from two different contexts!  First was executionContext, new one is LRP_ZenithDysonSphere_idx_4
  at System.Environment.get_StackTrace () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <2d4c603888a14cd8afdc94305e348a44>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPathInner (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPath (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.PathingHelper.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.Core.ExternalFactionBaseInfo.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.Core.Faction.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet origin, Arcen.AIW2.Core.Planet destination, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.FactionUtilityMethods.Helper_RaidSpecificPlanet (System.Collections.Generic.List`1[T] ships, Arcen.AIW2.Core.Planet originPlanet, Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Galaxy galaxy, Arcen.AIW2.Core.Planet threatplanet, System.Boolean IgnorePathCosts, Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContextBase Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.DysonSphereFactionDeepInfo.DoLongRangePlanning_OnBackgroundNonSimThread_Subclass (Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ExternalFactionDeepInfoRoot.DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.Core.Faction.Safe_DeepInfo_DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.SpecialFactionPlanning.Execute () [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ArcenHostOnlySimPlanningContext.InnerRun () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 

9/30/2021 11:30:26 AM	3.703	SINGLEP	DELAYED28: Called Zenith Dyson Sphere_facplan pathfinder from two different contexts!  First was executionContext, new one is LRP_ZenithDysonSphere_idx_4
  at System.Environment.get_StackTrace () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <2d4c603888a14cd8afdc94305e348a44>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPathInner (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPath (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.PathingHelper.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.Core.ExternalFactionBaseInfo.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.Core.Faction.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet origin, Arcen.AIW2.Core.Planet destination, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.FactionUtilityMethods.Helper_RaidSpecificPlanet (System.Collections.Generic.List`1[T] ships, Arcen.AIW2.Core.Planet originPlanet, Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Galaxy galaxy, Arcen.AIW2.Core.Planet threatplanet, System.Boolean IgnorePathCosts, Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContextBase Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.DysonSphereFactionDeepInfo.DoLongRangePlanning_OnBackgroundNonSimThread_Subclass (Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ExternalFactionDeepInfoRoot.DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.Core.Faction.Safe_DeepInfo_DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.SpecialFactionPlanning.Execute () [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ArcenHostOnlySimPlanningContext.InnerRun () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 

9/30/2021 11:30:28 AM	3.703	SINGLEP	DELAYED29: Called Zenith Dyson Sphere_facplan pathfinder from two different contexts!  First was executionContext, new one is LRP_ZenithDysonSphere_idx_4
  at System.Environment.get_StackTrace () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <2d4c603888a14cd8afdc94305e348a44>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPathInner (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPath (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.PathingHelper.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.Core.ExternalFactionBaseInfo.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.Core.Faction.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet origin, Arcen.AIW2.Core.Planet destination, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.FactionUtilityMethods.Helper_RaidSpecificPlanet (System.Collections.Generic.List`1[T] ships, Arcen.AIW2.Core.Planet originPlanet, Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Galaxy galaxy, Arcen.AIW2.Core.Planet threatplanet, System.Boolean IgnorePathCosts, Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContextBase Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.DysonSphereFactionDeepInfo.DoLongRangePlanning_OnBackgroundNonSimThread_Subclass (Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ExternalFactionDeepInfoRoot.DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.Core.Faction.Safe_DeepInfo_DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.SpecialFactionPlanning.Execute () [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ArcenHostOnlySimPlanningContext.InnerRun () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 

9/30/2021 11:30:30 AM	3.703	SINGLEP	DELAYED30: Called Zenith Dyson Sphere_facplan pathfinder from two different contexts!  First was executionContext, new one is LRP_ZenithDysonSphere_idx_4
  at System.Environment.get_StackTrace () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <2d4c603888a14cd8afdc94305e348a44>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPathInner (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPath (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.PathingHelper.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.Core.ExternalFactionBaseInfo.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.Core.Faction.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet origin, Arcen.AIW2.Core.Planet destination, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.FactionUtilityMethods.Helper_RaidSpecificPlanet (System.Collections.Generic.List`1[T] ships, Arcen.AIW2.Core.Planet originPlanet, Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Galaxy galaxy, Arcen.AIW2.Core.Planet threatplanet, System.Boolean IgnorePathCosts, Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContextBase Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.DysonSphereFactionDeepInfo.DoLongRangePlanning_OnBackgroundNonSimThread_Subclass (Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ExternalFactionDeepInfoRoot.DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.Core.Faction.Safe_DeepInfo_DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.SpecialFactionPlanning.Execute () [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ArcenHostOnlySimPlanningContext.InnerRun () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 

9/30/2021 11:30:33 AM	3.703	SINGLEP	DELAYED31: Called Zenith Dyson Sphere_facplan pathfinder from two different contexts!  First was executionContext, new one is LRP_ZenithDysonSphere_idx_4
  at System.Environment.get_StackTrace () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <2d4c603888a14cd8afdc94305e348a44>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPathInner (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPath (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.PathingHelper.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.Core.ExternalFactionBaseInfo.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.Core.Faction.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet origin, Arcen.AIW2.Core.Planet destination, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.FactionUtilityMethods.Helper_RaidSpecificPlanet (System.Collections.Generic.List`1[T] ships, Arcen.AIW2.Core.Planet originPlanet, Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Galaxy galaxy, Arcen.AIW2.Core.Planet threatplanet, System.Boolean IgnorePathCosts, Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContextBase Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.DysonSphereFactionDeepInfo.DoLongRangePlanning_OnBackgroundNonSimThread_Subclass (Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ExternalFactionDeepInfoRoot.DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.Core.Faction.Safe_DeepInfo_DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.SpecialFactionPlanning.Execute () [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ArcenHostOnlySimPlanningContext.InnerRun () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 

9/30/2021 11:30:35 AM	3.703	SINGLEP	DELAYED32: Called Zenith Dyson Sphere_facplan pathfinder from two different contexts!  First was executionContext, new one is LRP_ZenithDysonSphere_idx_4
  at System.Environment.get_StackTrace () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <2d4c603888a14cd8afdc94305e348a44>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPathInner (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPath (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.PathingHelper.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.Core.ExternalFactionBaseInfo.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.Core.Faction.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet origin, Arcen.AIW2.Core.Planet destination, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.FactionUtilityMethods.Helper_RaidSpecificPlanet (System.Collections.Generic.List`1[T] ships, Arcen.AIW2.Core.Planet originPlanet, Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Galaxy galaxy, Arcen.AIW2.Core.Planet threatplanet, System.Boolean IgnorePathCosts, Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContextBase Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.DysonSphereFactionDeepInfo.DoLongRangePlanning_OnBackgroundNonSimThread_Subclass (Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ExternalFactionDeepInfoRoot.DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.Core.Faction.Safe_DeepInfo_DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.SpecialFactionPlanning.Execute () [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ArcenHostOnlySimPlanningContext.InnerRun () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 

9/30/2021 11:30:36 AM	3.703	SINGLEP	DELAYED33: Called Zenith Dyson Sphere_facplan pathfinder from two different contexts!  First was executionContext, new one is LRP_ZenithDysonSphere_idx_4
  at System.Environment.get_StackTrace () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <2d4c603888a14cd8afdc94305e348a44>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPathInner (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPath (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.PathingHelper.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.Core.ExternalFactionBaseInfo.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.Core.Faction.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet origin, Arcen.AIW2.Core.Planet destination, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.FactionUtilityMethods.Helper_RaidSpecificPlanet (System.Collections.Generic.List`1[T] ships, Arcen.AIW2.Core.Planet originPlanet, Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Galaxy galaxy, Arcen.AIW2.Core.Planet threatplanet, System.Boolean IgnorePathCosts, Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContextBase Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.DysonSphereFactionDeepInfo.DoLongRangePlanning_OnBackgroundNonSimThread_Subclass (Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ExternalFactionDeepInfoRoot.DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.Core.Faction.Safe_DeepInfo_DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.SpecialFactionPlanning.Execute () [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ArcenHostOnlySimPlanningContext.InnerRun () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 

9/30/2021 11:30:38 AM	3.703	SINGLEP	DELAYED34: Called Zenith Dyson Sphere_facplan pathfinder from two different contexts!  First was executionContext, new one is LRP_ZenithDysonSphere_idx_4
  at System.Environment.get_StackTrace () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <2d4c603888a14cd8afdc94305e348a44>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPathInner (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPath (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.PathingHelper.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.Core.ExternalFactionBaseInfo.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.Core.Faction.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet origin, Arcen.AIW2.Core.Planet destination, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.FactionUtilityMethods.Helper_RaidSpecificPlanet (System.Collections.Generic.List`1[T] ships, Arcen.AIW2.Core.Planet originPlanet, Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Galaxy galaxy, Arcen.AIW2.Core.Planet threatplanet, System.Boolean IgnorePathCosts, Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContextBase Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.DysonSphereFactionDeepInfo.DoLongRangePlanning_OnBackgroundNonSimThread_Subclass (Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ExternalFactionDeepInfoRoot.DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.Core.Faction.Safe_DeepInfo_DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.SpecialFactionPlanning.Execute () [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ArcenHostOnlySimPlanningContext.InnerRun () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 

9/30/2021 11:30:40 AM	3.703	SINGLEP	DELAYED35: Called Zenith Dyson Sphere_facplan pathfinder from two different contexts!  First was executionContext, new one is LRP_ZenithDysonSphere_idx_4
  at System.Environment.get_StackTrace () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <2d4c603888a14cd8afdc94305e348a44>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPathInner (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPath (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.PathingHelper.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.Core.ExternalFactionBaseInfo.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.Core.Faction.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet origin, Arcen.AIW2.Core.Planet destination, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.FactionUtilityMethods.Helper_RaidSpecificPlanet (System.Collections.Generic.List`1[T] ships, Arcen.AIW2.Core.Planet originPlanet, Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Galaxy galaxy, Arcen.AIW2.Core.Planet threatplanet, System.Boolean IgnorePathCosts, Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContextBase Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.DysonSphereFactionDeepInfo.DoLongRangePlanning_OnBackgroundNonSimThread_Subclass (Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ExternalFactionDeepInfoRoot.DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.Core.Faction.Safe_DeepInfo_DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.SpecialFactionPlanning.Execute () [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ArcenHostOnlySimPlanningContext.InnerRun () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 

9/30/2021 11:30:42 AM	3.703	SINGLEP	DELAYED36: Called Zenith Dyson Sphere_facplan pathfinder from two different contexts!  First was executionContext, new one is LRP_ZenithDysonSphere_idx_4
  at System.Environment.get_StackTrace () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <2d4c603888a14cd8afdc94305e348a44>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPathInner (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPath (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.PathingHelper.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.Core.ExternalFactionBaseInfo.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.Core.Faction.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet origin, Arcen.AIW2.Core.Planet destination, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.FactionUtilityMethods.Helper_RaidSpecificPlanet (System.Collections.Generic.List`1[T] ships, Arcen.AIW2.Core.Planet originPlanet, Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Galaxy galaxy, Arcen.AIW2.Core.Planet threatplanet, System.Boolean IgnorePathCosts, Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContextBase Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.DysonSphereFactionDeepInfo.DoLongRangePlanning_OnBackgroundNonSimThread_Subclass (Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ExternalFactionDeepInfoRoot.DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.Core.Faction.Safe_DeepInfo_DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.SpecialFactionPlanning.Execute () [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ArcenHostOnlySimPlanningContext.InnerRun () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 

9/30/2021 11:30:45 AM	3.703	SINGLEP	DELAYED37: Called Zenith Dyson Sphere_facplan pathfinder from two different contexts!  First was executionContext, new one is LRP_ZenithDysonSphere_idx_4
  at System.Environment.get_StackTrace () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <2d4c603888a14cd8afdc94305e348a44>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPathInner (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPath (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.PathingHelper.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.Core.ExternalFactionBaseInfo.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.Core.Faction.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet origin, Arcen.AIW2.Core.Planet destination, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.FactionUtilityMethods.Helper_RaidSpecificPlanet (System.Collections.Generic.List`1[T] ships, Arcen.AIW2.Core.Planet originPlanet, Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Galaxy galaxy, Arcen.AIW2.Core.Planet threatplanet, System.Boolean IgnorePathCosts, Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContextBase Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.DysonSphereFactionDeepInfo.DoLongRangePlanning_OnBackgroundNonSimThread_Subclass (Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ExternalFactionDeepInfoRoot.DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.Core.Faction.Safe_DeepInfo_DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.SpecialFactionPlanning.Execute () [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ArcenHostOnlySimPlanningContext.InnerRun () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 

9/30/2021 11:30:47 AM	3.703	SINGLEP	DELAYED38: Called Zenith Dyson Sphere_facplan pathfinder from two different contexts!  First was executionContext, new one is LRP_ZenithDysonSphere_idx_4
  at System.Environment.get_StackTrace () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <2d4c603888a14cd8afdc94305e348a44>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPathInner (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPath (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.PathingHelper.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.Core.ExternalFactionBaseInfo.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.Core.Faction.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet origin, Arcen.AIW2.Core.Planet destination, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.FactionUtilityMethods.Helper_RaidSpecificPlanet (System.Collections.Generic.List`1[T] ships, Arcen.AIW2.Core.Planet originPlanet, Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Galaxy galaxy, Arcen.AIW2.Core.Planet threatplanet, System.Boolean IgnorePathCosts, Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContextBase Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.DysonSphereFactionDeepInfo.DoLongRangePlanning_OnBackgroundNonSimThread_Subclass (Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ExternalFactionDeepInfoRoot.DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.Core.Faction.Safe_DeepInfo_DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.SpecialFactionPlanning.Execute () [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ArcenHostOnlySimPlanningContext.InnerRun () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 

9/30/2021 11:30:48 AM	3.703	SINGLEP	DELAYED39: Called Zenith Dyson Sphere_facplan pathfinder from two different contexts!  First was executionContext, new one is LRP_ZenithDysonSphere_idx_4
  at System.Environment.get_StackTrace () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <2d4c603888a14cd8afdc94305e348a44>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPathInner (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPath (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.PathingHelper.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.Core.ExternalFactionBaseInfo.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.Core.Faction.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet origin, Arcen.AIW2.Core.Planet destination, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.FactionUtilityMethods.Helper_RaidSpecificPlanet (System.Collections.Generic.List`1[T] ships, Arcen.AIW2.Core.Planet originPlanet, Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Galaxy galaxy, Arcen.AIW2.Core.Planet threatplanet, System.Boolean IgnorePathCosts, Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContextBase Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.DysonSphereFactionDeepInfo.DoLongRangePlanning_OnBackgroundNonSimThread_Subclass (Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ExternalFactionDeepInfoRoot.DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.Core.Faction.Safe_DeepInfo_DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.SpecialFactionPlanning.Execute () [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ArcenHostOnlySimPlanningContext.InnerRun () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 

9/30/2021 11:30:50 AM	3.703	SINGLEP	DELAYED40: Called Zenith Dyson Sphere_facplan pathfinder from two different contexts!  First was executionContext, new one is LRP_ZenithDysonSphere_idx_4
  at System.Environment.get_StackTrace () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <2d4c603888a14cd8afdc94305e348a44>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPathInner (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPath (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.PathingHelper.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.Core.ExternalFactionBaseInfo.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.Core.Faction.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet origin, Arcen.AIW2.Core.Planet destination, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.FactionUtilityMethods.Helper_RaidSpecificPlanet (System.Collections.Generic.List`1[T] ships, Arcen.AIW2.Core.Planet originPlanet, Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Galaxy galaxy, Arcen.AIW2.Core.Planet threatplanet, System.Boolean IgnorePathCosts, Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContextBase Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.DysonSphereFactionDeepInfo.DoLongRangePlanning_OnBackgroundNonSimThread_Subclass (Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ExternalFactionDeepInfoRoot.DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.Core.Faction.Safe_DeepInfo_DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.SpecialFactionPlanning.Execute () [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ArcenHostOnlySimPlanningContext.InnerRun () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 

9/30/2021 11:30:51 AM	3.703	SINGLEP	DELAYED41: Called Zenith Dyson Sphere_facplan pathfinder from two different contexts!  First was executionContext, new one is LRP_ZenithDysonSphere_idx_4
  at System.Environment.get_StackTrace () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <2d4c603888a14cd8afdc94305e348a44>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPathInner (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPath (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.PathingHelper.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.Core.ExternalFactionBaseInfo.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.Core.Faction.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet origin, Arcen.AIW2.Core.Planet destination, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.FactionUtilityMethods.Helper_RaidSpecificPlanet (System.Collections.Generic.List`1[T] ships, Arcen.AIW2.Core.Planet originPlanet, Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Galaxy galaxy, Arcen.AIW2.Core.Planet threatplanet, System.Boolean IgnorePathCosts, Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContextBase Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.DysonSphereFactionDeepInfo.DoLongRangePlanning_OnBackgroundNonSimThread_Subclass (Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ExternalFactionDeepInfoRoot.DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.Core.Faction.Safe_DeepInfo_DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.SpecialFactionPlanning.Execute () [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ArcenHostOnlySimPlanningContext.InnerRun () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 

9/30/2021 11:30:53 AM	3.703	SINGLEP	DELAYED42: Called Zenith Dyson Sphere_facplan pathfinder from two different contexts!  First was executionContext, new one is LRP_ZenithDysonSphere_idx_4
  at System.Environment.get_StackTrace () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <2d4c603888a14cd8afdc94305e348a44>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPathInner (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPath (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.PathingHelper.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.Core.ExternalFactionBaseInfo.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.Core.Faction.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet origin, Arcen.AIW2.Core.Planet destination, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.FactionUtilityMethods.Helper_RaidSpecificPlanet (System.Collections.Generic.List`1[T] ships, Arcen.AIW2.Core.Planet originPlanet, Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Galaxy galaxy, Arcen.AIW2.Core.Planet threatplanet, System.Boolean IgnorePathCosts, Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContextBase Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.DysonSphereFactionDeepInfo.DoLongRangePlanning_OnBackgroundNonSimThread_Subclass (Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ExternalFactionDeepInfoRoot.DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.Core.Faction.Safe_DeepInfo_DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.SpecialFactionPlanning.Execute () [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ArcenHostOnlySimPlanningContext.InnerRun () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 

9/30/2021 11:30:56 AM	3.703	SINGLEP	DELAYED43: Called Zenith Dyson Sphere_facplan pathfinder from two different contexts!  First was executionContext, new one is LRP_ZenithDysonSphere_idx_4
  at System.Environment.get_StackTrace () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <2d4c603888a14cd8afdc94305e348a44>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPathInner (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPath (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.PathingHelper.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.Core.ExternalFactionBaseInfo.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.Core.Faction.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet origin, Arcen.AIW2.Core.Planet destination, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.FactionUtilityMethods.Helper_RaidSpecificPlanet (System.Collections.Generic.List`1[T] ships, Arcen.AIW2.Core.Planet originPlanet, Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Galaxy galaxy, Arcen.AIW2.Core.Planet threatplanet, System.Boolean IgnorePathCosts, Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContextBase Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.DysonSphereFactionDeepInfo.DoLongRangePlanning_OnBackgroundNonSimThread_Subclass (Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ExternalFactionDeepInfoRoot.DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.Core.Faction.Safe_DeepInfo_DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.SpecialFactionPlanning.Execute () [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ArcenHostOnlySimPlanningContext.InnerRun () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 

9/30/2021 11:30:57 AM	3.703	SINGLEP	DELAYED44: Called Zenith Dyson Sphere_facplan pathfinder from two different contexts!  First was executionContext, new one is LRP_ZenithDysonSphere_idx_4
  at System.Environment.get_StackTrace () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <2d4c603888a14cd8afdc94305e348a44>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPathInner (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPath (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.PathingHelper.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.Core.ExternalFactionBaseInfo.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.Core.Faction.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet origin, Arcen.AIW2.Core.Planet destination, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.FactionUtilityMethods.Helper_RaidSpecificPlanet (System.Collections.Generic.List`1[T] ships, Arcen.AIW2.Core.Planet originPlanet, Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Galaxy galaxy, Arcen.AIW2.Core.Planet threatplanet, System.Boolean IgnorePathCosts, Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContextBase Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.DysonSphereFactionDeepInfo.DoLongRangePlanning_OnBackgroundNonSimThread_Subclass (Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ExternalFactionDeepInfoRoot.DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.Core.Faction.Safe_DeepInfo_DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.SpecialFactionPlanning.Execute () [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ArcenHostOnlySimPlanningContext.InnerRun () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 

9/30/2021 11:30:59 AM	3.703	SINGLEP	DELAYED45: Called Zenith Dyson Sphere_facplan pathfinder from two different contexts!  First was executionContext, new one is LRP_ZenithDysonSphere_idx_4
  at System.Environment.get_StackTrace () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <2d4c603888a14cd8afdc94305e348a44>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPathInner (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPath (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.PathingHelper.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.Core.ExternalFactionBaseInfo.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.Core.Faction.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet origin, Arcen.AIW2.Core.Planet destination, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.FactionUtilityMethods.Helper_RaidSpecificPlanet (System.Collections.Generic.List`1[T] ships, Arcen.AIW2.Core.Planet originPlanet, Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Galaxy galaxy, Arcen.AIW2.Core.Planet threatplanet, System.Boolean IgnorePathCosts, Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContextBase Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.DysonSphereFactionDeepInfo.DoLongRangePlanning_OnBackgroundNonSimThread_Subclass (Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ExternalFactionDeepInfoRoot.DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.Core.Faction.Safe_DeepInfo_DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.SpecialFactionPlanning.Execute () [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ArcenHostOnlySimPlanningContext.InnerRun () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 

9/30/2021 11:31:01 AM	3.703	SINGLEP	DELAYED46: Called Zenith Dyson Sphere_facplan pathfinder from two different contexts!  First was executionContext, new one is LRP_ZenithDysonSphere_idx_4
  at System.Environment.get_StackTrace () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <2d4c603888a14cd8afdc94305e348a44>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPathInner (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPath (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.PathingHelper.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.Core.ExternalFactionBaseInfo.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.Core.Faction.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet origin, Arcen.AIW2.Core.Planet destination, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.FactionUtilityMethods.Helper_RaidSpecificPlanet (System.Collections.Generic.List`1[T] ships, Arcen.AIW2.Core.Planet originPlanet, Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Galaxy galaxy, Arcen.AIW2.Core.Planet threatplanet, System.Boolean IgnorePathCosts, Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContextBase Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.DysonSphereFactionDeepInfo.DoLongRangePlanning_OnBackgroundNonSimThread_Subclass (Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ExternalFactionDeepInfoRoot.DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.Core.Faction.Safe_DeepInfo_DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.SpecialFactionPlanning.Execute () [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ArcenHostOnlySimPlanningContext.InnerRun () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 

9/30/2021 11:31:17 AM	3.703	SINGLEP	DELAYED47: Called Zenith Dyson Sphere_facplan pathfinder from two different contexts!  First was executionContext, new one is LRP_ZenithDysonSphere_idx_4
  at System.Environment.get_StackTrace () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <2d4c603888a14cd8afdc94305e348a44>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPathInner (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPath (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.PathingHelper.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.Core.ExternalFactionBaseInfo.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.Core.Faction.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet origin, Arcen.AIW2.Core.Planet destination, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.FactionUtilityMethods.Helper_RaidSpecificPlanet (System.Collections.Generic.List`1[T] ships, Arcen.AIW2.Core.Planet originPlanet, Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Galaxy galaxy, Arcen.AIW2.Core.Planet threatplanet, System.Boolean IgnorePathCosts, Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContextBase Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.DysonSphereFactionDeepInfo.DoLongRangePlanning_OnBackgroundNonSimThread_Subclass (Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ExternalFactionDeepInfoRoot.DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.Core.Faction.Safe_DeepInfo_DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.SpecialFactionPlanning.Execute () [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ArcenHostOnlySimPlanningContext.InnerRun () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 

9/30/2021 11:31:22 AM	3.703	SINGLEP	DELAYED48: Called Zenith Dyson Sphere_facplan pathfinder from two different contexts!  First was executionContext, new one is LRP_ZenithDysonSphere_idx_4
  at System.Environment.get_StackTrace () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <2d4c603888a14cd8afdc94305e348a44>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPathInner (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPath (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.PathingHelper.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.Core.ExternalFactionBaseInfo.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.Core.Faction.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet origin, Arcen.AIW2.Core.Planet destination, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.FactionUtilityMethods.Helper_RaidSpecificPlanet (System.Collections.Generic.List`1[T] ships, Arcen.AIW2.Core.Planet originPlanet, Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Galaxy galaxy, Arcen.AIW2.Core.Planet threatplanet, System.Boolean IgnorePathCosts, Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContextBase Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.DysonSphereFactionDeepInfo.DoLongRangePlanning_OnBackgroundNonSimThread_Subclass (Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ExternalFactionDeepInfoRoot.DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.Core.Faction.Safe_DeepInfo_DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.SpecialFactionPlanning.Execute () [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ArcenHostOnlySimPlanningContext.InnerRun () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 

9/30/2021 11:31:24 AM	3.703	SINGLEP	DELAYED49: Called Zenith Dyson Sphere_facplan pathfinder from two different contexts!  First was executionContext, new one is LRP_ZenithDysonSphere_idx_4
  at System.Environment.get_StackTrace () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <2d4c603888a14cd8afdc94305e348a44>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPathInner (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPath (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.PathingHelper.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.Core.ExternalFactionBaseInfo.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.Core.Faction.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet origin, Arcen.AIW2.Core.Planet destination, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.FactionUtilityMethods.Helper_RaidSpecificPlanet (System.Collections.Generic.List`1[T] ships, Arcen.AIW2.Core.Planet originPlanet, Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Galaxy galaxy, Arcen.AIW2.Core.Planet threatplanet, System.Boolean IgnorePathCosts, Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContextBase Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.DysonSphereFactionDeepInfo.DoLongRangePlanning_OnBackgroundNonSimThread_Subclass (Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ExternalFactionDeepInfoRoot.DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.Core.Faction.Safe_DeepInfo_DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.SpecialFactionPlanning.Execute () [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ArcenHostOnlySimPlanningContext.InnerRun () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 

9/30/2021 11:31:28 AM	3.703	SINGLEP	DELAYED50: Called Zenith Dyson Sphere_facplan pathfinder from two different contexts!  First was executionContext, new one is LRP_ZenithDysonSphere_idx_4
  at System.Environment.get_StackTrace () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <2d4c603888a14cd8afdc94305e348a44>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPathInner (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPath (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.PathingHelper.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.Core.ExternalFactionBaseInfo.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.Core.Faction.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet origin, Arcen.AIW2.Core.Planet destination, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.FactionUtilityMethods.Helper_RaidSpecificPlanet (System.Collections.Generic.List`1[T] ships, Arcen.AIW2.Core.Planet originPlanet, Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Galaxy galaxy, Arcen.AIW2.Core.Planet threatplanet, System.Boolean IgnorePathCosts, Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContextBase Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.DysonSphereFactionDeepInfo.DoLongRangePlanning_OnBackgroundNonSimThread_Subclass (Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ExternalFactionDeepInfoRoot.DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.Core.Faction.Safe_DeepInfo_DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.SpecialFactionPlanning.Execute () [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ArcenHostOnlySimPlanningContext.InnerRun () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 

9/30/2021 11:31:29 AM	3.703	SINGLEP	DELAYED51: Called Zenith Dyson Sphere_facplan pathfinder from two different contexts!  First was executionContext, new one is LRP_ZenithDysonSphere_idx_4
  at System.Environment.get_StackTrace () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <2d4c603888a14cd8afdc94305e348a44>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPathInner (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenPathfinder`1[N].FindPath (System.Collections.Generic.List`1[T] PathToFill, N Origin, N Target, System.Int32 NeedToGetWithinXRangeOfTarget, System.Int32 RequiresNoMoreThanXRangeFromOrigin, System.Boolean DoDebugLog, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.PathingHelper.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.SimPlannerImplementation.InnerFindPath_Raw (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.Core.ExternalFactionBaseInfo.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet Origin, Arcen.AIW2.Core.Planet Target, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.Core.Faction.FindPathFreshOrFromCache (Arcen.AIW2.Core.Planet origin, Arcen.AIW2.Core.Planet destination, Arcen.AIW2.Core.PathingMode mode, Arcen.AIW2.Core.ArcenSimContextAnyStatus Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.FactionUtilityMethods.Helper_RaidSpecificPlanet (System.Collections.Generic.List`1[T] ships, Arcen.AIW2.Core.Planet originPlanet, Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.Galaxy galaxy, Arcen.AIW2.Core.Planet threatplanet, System.Boolean IgnorePathCosts, Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContextBase Context) [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.DysonSphereFactionDeepInfo.DoLongRangePlanning_OnBackgroundNonSimThread_Subclass (Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ExternalFactionDeepInfoRoot.DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.Core.Faction.Safe_DeepInfo_DoLongRangePlanning_OnBackgroundNonSimThread_HostOnly (Arcen.AIW2.Core.ILongRangePlanningHostContext Context) [0x00000] in <3acbec23d6514b40b47669a446381e36>:0 
  at Arcen.AIW2.External.SpecialFactionPlanning.Execute () [0x00000] in <3e18f1578eba42848677945a24d54ca9>:0 
  at Arcen.AIW2.External.ArcenHostOnlySimPlanningContext.InnerRun () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <7ec89aac5dc4479b935ad1e783873270>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0 
debug.txt (237,850 bytes)   

x4000Bughunter

Oct 1, 2021 2:00 pm

administrator   ~0062877

Thanks!

* I can't (yet) duplicate the error, but there was a pathfinder being used from two contexts incorrectly, and I've now put in a lot more code around making that not happen. It appears that this was caused during an exogalactic attack, but that was honestly the part that looked correct from the log -- there was some prior call from the AI sentinels to the wrong pathfinder, and that set things up for the later error. I now have it so that it will detect the FIRST wrong call, and not just when there are calls from two contexts. I've done a manual code review of all the affected areas, and can't see how it would have a problem, and I've done some testing for a while as well, so I guess we'll just have to wait for it to trip again. Next time will be more informative, or should be.

Issue History

Date Modified Username Field Change
Sep 30, 2021 2:43 pm whimsee New Issue
Sep 30, 2021 2:43 pm whimsee File Added: debug.txt
Oct 1, 2021 2:00 pm x4000Bughunter Assigned To => x4000Bughunter
Oct 1, 2021 2:00 pm x4000Bughunter Status new => resolved
Oct 1, 2021 2:00 pm x4000Bughunter Resolution open => fixed
Oct 1, 2021 2:00 pm x4000Bughunter Fixed in Version => Beta 3.704 Unexpected Turbo Sim Speed
Oct 1, 2021 2:00 pm x4000Bughunter Note Added: 0062877